> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a user

> Permanently delete a user by ID. The user must not be a collaborator on any resource and must not belong to any team other than "everyone".



## OpenAPI

````yaml /openapi.json delete /api/svc/v1/users/{id}
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/users/{id}:
    delete:
      tags:
        - Users
      summary: Delete a user
      description: >-
        Permanently delete a user by ID. The user must not be a collaborator on
        any resource and must not belong to any team other than "everyone".
      operationId: User.deleteUser
      parameters:
        - name: id
          required: true
          in: path
          description: System-generated user ID.
          schema:
            example: jqfwg345gi25n5ju2yz5iz6m
            type: string
        - name: tenantName
          required: false
          in: query
          description: Tenant name override. Defaults to the caller's tenant when omitted.
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: The user has been deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteUserResponse'
        '400':
          description: Bad Request — user has active collaborations or team memberships.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '401':
          description: Unauthorized — insufficient permissions to delete the user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: User with the provided ID was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
components:
  schemas:
    DeleteUserResponse:
      type: object
      properties: {}
      title: DeleteUserResponse
      x-fern-type-name: DeleteUserResponse
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````